## Script (Python) "rssfeed_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=id='', title='', description='', dataurl='', fetchable= 1, status='Available', archivable=0, categories = []
##title=Edit a Feed
##
# if there is no id specified, keep the current one
if not id:
    id = context.getId()

new_context = context.portal_factory.doCreate(context, id)

new_context.edit(dataurl=dataurl,
                 fetchable=fetchable,
                 status=status,
                 archivable=archivable,
                 categories=categories)

new_context.plone_utils.contentEdit(new_context, 
                                    id=id,
                                    title=title,
                                    description=description)

return ('success', new_context, {'portal_status_message':context.REQUEST.get('portal_status_message', 'RSSFeed changes saved.')})
