## Script (Python) "rsscollection_import"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=ids=[]
##title=Import selected feeds
##
# if there is no id specified, keep the current one

from Products.CMFCore.utils import getToolByName

REQUEST = context.REQUEST

pa = getToolByName(context, 'portal_aggregation')

feeds = pa.getFeeds(ids)

#Make dummy results#######################
def dummyFeeds():
    """ """
    dummy = []
    for i in range(5):
        feed = {}
        feed['feedid'] = 'feedid%d' %i
        feed['siteurl'] = 'site url %d' %i
        feed['sitename'] = 'site name %d' %i
        feed['title'] = 'feed title %d' %i
        feed['dataurl'] = 'feed dataurl %d' %i
        feed['description'] = 'feed description %d' %i
        feed['fetchable'] = 'feed fetchable %d' %i 
        feed['status'] = 'feed status %d' %i 
        feed['Categories'] = 'feed Categories %d' %i

        dummy.append(feed)
    return dummy
#feeds = dummyFeeds()
##########################################

context.importFeeds(feeds)

REQUEST.RESPONSE.redirect('folder_contents?portal_status_message=%d feeds imported' %len(feeds))